< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package version
  Definition Classes
    ct
-  object HmrcReturns
  Definition Classes
    version
- CT600
- CT600a
- CT600e
- CT600j
- Computations
- HmrcAbridgedAccounts
- HmrcMicroEntityAccounts
- HmrcStatutoryAccounts
- HmrcUploadedAccounts

o

uk.gov.hmrc.ct.version.HmrcReturns

# HmrcStatutoryAccounts 

###

#### object HmrcStatutoryAccounts extends ReturnType with HmrcAccounts with CoHoEquivalent with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, CoHoEquivalent, HmrcAccounts, Accounts, ReturnType, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HmrcStatutoryAccounts
2. Serializable
3. Serializable
4. Product
5. Equals
6. CoHoEquivalent
7. HmrcAccounts
8. Accounts
9. ReturnType
10. AnyRef
11. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def coHoReturnType: Accounts
   Definition Classes
     HmrcStatutoryAccounts → CoHoEquivalent
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  def key(): String
    Definition Classes
      HmrcStatutoryAccounts → ReturnType
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CoHoEquivalent

### Inherited from HmrcAccounts

### Inherited from Accounts

### Inherited from ReturnType

### Inherited from AnyRef

### Inherited from Any

### Ungrouped